repo/gentoo:master commit in: net-mail/mu/
"Sam James" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786765000.ff2a52fa6a233828bebe41aa13a1ec2512314507.sam@gentoo> |
commit: ff2a52fa6a233828bebe41aa13a1ec2512314507
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 15 03:36:40 2026 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Aug 15 03:36:40 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ff2a52fa
net-mail/mu: add 1.14.3
Signed-off-by: Sam James <sam <AT> gentoo.org>
net-mail/mu/Manifest | 1 +
net-mail/mu/mu-1.14.3.ebuild | 108 +++++++++++++++++++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/net-mail/mu/Manifest b/net-mail/mu/Manifest
index abc13f3e8330..a2481adb5c50 100644
--- a/net-mail/mu/Manifest
+++ b/net-mail/mu/Manifest
@@ -2,3 +2,4 @@ DIST mu-1.12.15.tar.xz 779432 BLAKE2B 30e8928c00b1e824ccaa2daa51fd38bf3da1bfe5d0
DIST mu-1.14.0.tar.xz 781936 BLAKE2B ca603c83134fa45d3058099678cf374cf9630f6d90203514fe2758b7195c7dfcb86db45ae0da6cbd1ac9f5998861f5117b22711bee1b9f5ae6b1ecb305cf0933 SHA512 d2d318691282c0745b3ca2bdcb274e3caf153773f841ea74c2033dd90ecb2c3b28980209e0425c138bb7e1c753b9dc335e4a9458c2394e91c516baad9dda686b
DIST mu-1.14.1.tar.xz 1040732 BLAKE2B f35f2f34a6fb5b462999c5803b1f642a585b8869b0f9d3fe7735a5f6e404fe60721852e76d6c683dd8bae2464fdb56f590b586826f0b762a21bc13eb2500ddaf SHA512 dd0b7ef4bfe99a1f1d74c2c8e4788a339e36582da6b71b3a1dd158752e8ec200c7246621bd2e6b9f8d63b7ae1efc918a7c1c2d308f947304df02cb8849260b57
DIST mu-1.14.2.tar.xz 1042120 BLAKE2B b13c5e96214c81e072936c388750ed002bd7c2b975d6e15ea7c931bb778b2d44f682259acbe5fa28ab8172dab6ce0fabfaaa92ebd562a60713b987e0f46bfc22 SHA512 41261f817a3ea8344c9841fc19300dcfe704d38e4ea983d7ed59ed9c2dcf9afebfe7b4c7349d77e29ec40bb6a21056a3cdd3a13e7558e493584a7b0920cc3145
+DIST mu-1.14.3.tar.xz 1065948 BLAKE2B 26c9ea7b8118628e28b5abad3424d94f54634dc655296153d034bce94fb29b9e3e9089eb7addffd9c1756e7daeee466b709ac267d9a495fb183901af4595a6c3 SHA512 8f9aab409f73ac8309f1416a0d8a82320033ce8e80c12e5849009680088d6c6f895176d6ca946b3b84faced6d015ddb709457bde955daf02b69d9dea4acc6f3f
diff --git a/net-mail/mu/mu-1.14.3.ebuild b/net-mail/mu/mu-1.14.3.ebuild
new file mode 100644
index 000000000000..d795d1c4524e
--- /dev/null
+++ b/net-mail/mu/mu-1.14.3.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{12..14} )
+inherit elisp-common meson readme.gentoo-r1 python-any-r1 shell-completion
+inherit xdg-utils
+
+DESCRIPTION="Set of tools to deal with Maildirs, in particular, searching and indexing"
+HOMEPAGE="https://www.djcbsoftware.nl/code/mu/ https://github.com/djcb/mu"
+SRC_URI="https://github.com/djcb/mu/releases/download/v${PV}/${P}.tar.xz"
+
+# mu: GPL-3+
+# + tl: CC0-1.0
+# + variant-lite: Boost-1.0
+LICENSE="GPL-3+ BSD Boost-1.0 CC0-1.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~x64-macos"
+IUSE="emacs readline test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ >=dev-cpp/cli11-2.4
+ >=dev-libs/glib-2.80:2
+ >=dev-libs/gmime-3.2.13:3.0
+ >=dev-libs/libfmt-11.1:=
+ >=dev-libs/xapian-1.4.22:=
+ emacs? ( >=app-editors/emacs-28.1:* )
+ readline? ( sys-libs/readline:= )
+"
+RDEPEND="${DEPEND}"
+BDEPEND="
+ ${PYTHON_DEPS}
+ >=dev-build/meson-1.3.2
+ sys-apps/texinfo
+ virtual/pkgconfig
+"
+
+DOC_CONTENTS="
+ To use mu4e you need to configure it in your .emacs file.
+ See the manual for more information:
+ https://www.djcbsoftware.nl/code/mu/mu4e/
+"
+SITEFILE="70mu-gentoo-autoload.el"
+
+src_prepare() {
+ default
+
+ # Don't install NEWS.org into /usr/share/doc.
+ sed -i '/NEWS.org/,+1 d' meson.build || die
+ sed -i '/mu4e-about.org/d' mu4e/meson.build || die
+
+ # Don't compress the info file.
+ sed -i '/gzip/d' build-aux/meson-install-info.sh || die
+
+ # Instead, put it in /usr/share/doc/${PF}.
+ sed -i "/MU_DOC_DIR/s/mu/${PF}/" mu4e/meson.build || die
+}
+
+src_configure() {
+ local emesonargs=(
+ $(meson_feature readline)
+ $(meson_feature test tests)
+ -Dcld2=disabled
+ -Demacs="$(usex emacs "${EMACS}" emacs-not-enabled)"
+ # TODO: revisit this, it's not actually deprecated, just been reworked
+ -Dguile=disabled
+ -Dscm=disabled
+ -Duse-embedded-fmt=false
+ -Duse-embedded-cli11=false
+ -Dbash-completion=enabled
+ -Dbash-completion-dir="$(get_bashcompdir)"
+ -Dzsh-completion=enabled
+ -Dzsh-completion-dir="$(get_zshcompdir)"
+ )
+ meson_src_configure
+}
+
+src_install() {
+ meson_src_install
+
+ # Since meson no longer installs NEWS.org, install it with dodoc.
+ # Also, it must be uncompressed so that it can be viewed with
+ # mu4e-info.
+ docompress -x /usr/share/doc/${PF}/NEWS.org
+ dodoc NEWS.org
+
+ if use emacs; then
+ # Same as above.
+ docompress -x /usr/share/doc/${PF}/mu4e-about.org
+ dodoc mu4e/mu4e-about.org
+
+ elisp-site-file-install "${FILESDIR}"/${SITEFILE}
+
+ readme.gentoo_create_doc
+ fi
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+ use emacs && readme.gentoo_create_doc
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+ use emacs && elisp-site-regen
+}